- Qt 6.10
- Qt Qml
- C++ Classes
- QJSValue
- Qt 6.10.1 Reference Documentation

# Obsolete Members for QJSValue

The following members of class QJSValue are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.9)` bool | isVariant() const

## Member Function Documentation

### `[deprecated in 6.9]` bool QJSValue::isVariant() const

This function is deprecated since 6.9. We strongly advise against using it in new code.

Returns true if this QJSValue is a variant value; otherwise returns false.

Warning: This function is likely to give unexpected results. A variant value is only constructed by the QJSEngine in a very limited number of cases. This used to be different before Qt 5.14, where QJSEngine::toScriptValue would have created them for more types instead of corresponding ECMAScript types. You can get a valid QVariant via toVariant for many values for which `isVariant` returns false.

See also toVariant().